Bug 115905 - net/silc-client 1.1.1 does not build with converters/recode 3.6_6
Summary: net/silc-client 1.1.1 does not build with converters/recode 3.6_6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-28 18:00 UTC by Václav Haisman
Modified: 2007-09-18 08:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Václav Haisman 2007-08-28 18:00:06 UTC
Symptoms:

cc -DHAVE_CONFIG_H -I. -I../../..  -O2 -fno-strict-aliasing -pipe -g -Wall -finline-functions -O2 -I/usr/local/include -DHAVE
_SILCDEFS_H -I. -I../../.. -I/usr/ports/net/silc-client/work/silc-client-1.1.1 -I/usr/ports/net/silc-client/work/silc-client-
1.1.1/lib/contrib -I/usr/ports/net/silc-client/work/silc-client-1.1.1/lib/silccore -I/usr/ports/net/silc-client/work/silc-cli
ent-1.1.1/lib/silccrypt -I/usr/ports/net/silc-client/work/silc-client-1.1.1/lib/silcmath -I/usr/ports/net/silc-client/work/si
lc-client-1.1.1/lib/silcutil -I/usr/ports/net/silc-client/work/silc-client-1.1.1/lib/silcapputil -I/usr/ports/net/silc-client
/work/silc-client-1.1.1/lib/silcske -I/usr/ports/net/silc-client/work/silc-client-1.1.1/lib/silcsftp -I/usr/ports/net/silc-cl
ient/work/silc-client-1.1.1/lib/silcclient -I/usr/ports/net/silc-client/work/silc-client-1.1.1/lib/silcasn1 -I/usr/ports/net/
silc-client/work/silc-client-1.1.1/lib/silcskr -I/usr/ports/net/silc-client/work/silc-client-1.1.1/lib/silcvcard -I/usr/ports
/net/silc-client/work/silc-client-1.1.1/includes -I/usr/ports/net/silc-client/work/silc-client-1.1.1/doc -I../../../src -I../
./../src/core/ -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include   -DHELPDIR=\""/usr/local/share/silc/help"\"
-DTHEMESDIR=\""/usr/local/etc"\"    -O2 -fno-strict-aliasing -pipe  -Wall -MT fe-common-core.o -MD -MP -MF .deps/fe-common-co
re.Tpo -c -o fe-common-core.o fe-common-core.c
In file included from fe-common-core.c:35:
/usr/local/include/recode.h:65: warning: parameter names (without types) in function declaration
/usr/local/include/recode.h:66: error: syntax error before "recode_delete_outer"
/usr/local/include/recode.h:66: warning: type defaults to `int' in declaration of `recode_delete_outer'
/usr/local/include/recode.h:66: warning: data definition has no type or storage class
/usr/local/include/recode.h:68: error: syntax error before "list_all_symbols"
/usr/local/include/recode.h:68: warning: type defaults to `int' in declaration of `list_all_symbols'
/usr/local/include/recode.h:68: warning: data definition has no type or storage class
/usr/local/include/recode.h:69: error: syntax error before "list_concise_charset"
/usr/local/include/recode.h:69: warning: type defaults to `int' in declaration of `list_concise_charset'
/usr/local/include/recode.h:69: warning: data definition has no type or storage class
/usr/local/include/recode.h:71: error: syntax error before "list_full_charset"
/usr/local/include/recode.h:71: warning: type defaults to `int' in declaration of `list_full_charset'
/usr/local/include/recode.h:71: warning: data definition has no type or storage class
/usr/local/include/recode.h:78: error: syntax error before "recode_delete_request"
/usr/local/include/recode.h:78: warning: type defaults to `int' in declaration of `recode_delete_request'
/usr/local/include/recode.h:78: warning: data definition has no type or storage class
/usr/local/include/recode.h:79: error: syntax error before "recode_scan_request"
/usr/local/include/recode.h:79: warning: type defaults to `int' in declaration of `recode_scan_request'
/usr/local/include/recode.h:79: warning: data definition has no type or storage class
/usr/local/include/recode.h:81: error: syntax error before "recode_format_table"
/usr/local/include/recode.h:81: warning: type defaults to `int' in declaration of `recode_format_table'
/usr/local/include/recode.h:81: warning: data definition has no type or storage class
/usr/local/include/recode.h:87: error: syntax error before "recode_string_to_buffer"
/usr/local/include/recode.h:87: warning: type defaults to `int' in declaration of `recode_string_to_buffer'
/usr/local/include/recode.h:87: warning: data definition has no type or storage class
/usr/local/include/recode.h:90: error: syntax error before "recode_string_to_file"
/usr/local/include/recode.h:90: warning: type defaults to `int' in declaration of `recode_string_to_file'
/usr/local/include/recode.h:90: warning: data definition has no type or storage class
/usr/local/include/recode.h:93: error: syntax error before "recode_buffer_to_buffer"
/usr/local/include/recode.h:93: warning: type defaults to `int' in declaration of `recode_buffer_to_buffer'
/usr/local/include/recode.h:93: warning: data definition has no type or storage class
/usr/local/include/recode.h:96: error: syntax error before "recode_buffer_to_file"
/usr/local/include/recode.h:96: warning: type defaults to `int' in declaration of `recode_buffer_to_file'
/usr/local/include/recode.h:96: warning: data definition has no type or storage class
/usr/local/include/recode.h:99: error: syntax error before "recode_file_to_buffer"
/usr/local/include/recode.h:99: warning: type defaults to `int' in declaration of `recode_file_to_buffer'
/usr/local/include/recode.h:99: warning: data definition has no type or storage class
/usr/local/include/recode.h:102: error: syntax error before "recode_file_to_file"
/usr/local/include/recode.h:102: warning: type defaults to `int' in declaration of `recode_file_to_file'
/usr/local/include/recode.h:102: warning: data definition has no type or storage class
/usr/local/include/recode.h:111: error: syntax error before "recode_delete_task"
/usr/local/include/recode.h:111: warning: type defaults to `int' in declaration of `recode_delete_task'
/usr/local/include/recode.h:111: warning: data definition has no type or storage class
/usr/local/include/recode.h:112: error: syntax error before "recode_perform_task"
/usr/local/include/recode.h:112: warning: type defaults to `int' in declaration of `recode_perform_task'
/usr/local/include/recode.h:112: warning: data definition has no type or storage class
gmake[7]: *** [fe-common-core.o] Error 1
gmake[7]: Leaving directory `/usr/ports/net/silc-client/work/silc-client-1.1.1/apps/irssi/src/fe-common/core'
gmake[6]: *** [all-recursive] Error 1
gmake[6]: Leaving directory `/usr/ports/net/silc-client/work/silc-client-1.1.1/apps/irssi/src/fe-common'
gmake[5]: *** [all-recursive] Error 1
gmake[5]: Leaving directory `/usr/ports/net/silc-client/work/silc-client-1.1.1/apps/irssi/src'
gmake[4]: *** [all-recursive] Error 1
gmake[4]: Leaving directory `/usr/ports/net/silc-client/work/silc-client-1.1.1/apps/irssi'
gmake[3]: *** [all] Error 2
gmake[3]: Leaving directory `/usr/ports/net/silc-client/work/silc-client-1.1.1/apps/irssi'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/ports/net/silc-client/work/silc-client-1.1.1/apps'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/net/silc-client/work/silc-client-1.1.1'
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/ports/net/silc-client.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.55139.0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=silc-client-1.0.3 UPGRADE_PORT_VER=1.0.3 make
** Fix the problem and try again.

Piece of preprocessed source of the .c file:

[...]
# 65 "/usr/local/include/recode.h"
RECODE_OUTER recode_new_outer (bool);
[...]

It seems like bool is not being defined. It seems that the recode and header require C99 to compile but the silc port does not compile with -std=c99 switch.

Fix: 

Quick fix/hack could be that all of the files of the silc port that include recode.h also include stdbool.h.

IMHO proper fix should be to fix the recode port to either include stdbool.h or that it does not require it at all.
Comment 1 Edwin Groothuis freebsd_committer 2007-08-28 18:00:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Wesley Shields 2007-09-18 02:59:01 UTC
I've attached a patch to this message which should clean this up.  It
simply moves the path to recode.h earlier so it picks up the recode.h
that ships with silc and not the one in /usr/local/include when
converters/recode is installed.

Index: files/patch-apps__irssi__src__fe-common__core__Makefile.in
===================================================================
RCS file: files/patch-apps__irssi__src__fe-common__core__Makefile.in
diff -N files/patch-apps__irssi__src__fe-common__core__Makefile.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-apps__irssi__src__fe-common__core__Makefile.in	18 Sep 2007 01:55:48 -0000
@@ -0,0 +1,11 @@
+--- ./apps/irssi/src/fe-common/core/Makefile.in.orig	2007-09-18 01:40:20.785485150 +0000
++++ ./apps/irssi/src/fe-common/core/Makefile.in	2007-09-18 01:40:45.308497153 +0000
+@@ -266,7 +266,7 @@
+ #
+ # INCLUDE defines
+ #
+-INCLUDES = $(ADD_INCLUDES) $(SILC_CFLAGS) -DHAVE_SILCDEFS_H \
++INCLUDES = -I../../../src/core $(ADD_INCLUDES) $(SILC_CFLAGS) -DHAVE_SILCDEFS_H \
+ 	-I$(srcdir) -I$(top_srcdir) -I$(silc_top_srcdir) \
+ 	$(SILC_LIB_INCLUDES) -I$(silc_top_srcdir)/includes \
+ 	-I$(silc_top_srcdir)/doc -I$(top_srcdir)/src \
Comment 3 dfilter service freebsd_committer 2007-09-18 08:23:08 UTC
miwi        2007-09-18 07:23:02 UTC

  FreeBSD ports repository

  Added files:
    net/silc-client/files 
                          patch-apps__irssi__src__fe-common__core__Makefile.in 
  Log:
  - Fix build when converters/recode installed is
  
  PR:             115905
  Submitted by:   Vaclav Haisman <v.haisman@sh.cvut.cz>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.1       +18 -0     ports/net/silc-client/files/patch-apps__irssi__src__fe-common__core__Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-09-18 08:24:26 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!